/*
 * Matrix Matrix multiplication routine
 */

#ifndef MM_HH
#define MM_HH

//
//  int            : integer (normally of 4 bytes) signed int
//  unsigned       : integer with no sign (normally of 4 bytes) unsigned int
//  long           : integer (normally of 8 bytes) long int
//  unsigned long  : nteger with no sign (normally of 8 bytes) 
//  short          : integer (normally of 2 bytes) signed short
//  unsigned short : integer with no sign (normally of 2 bytes)
//

void
mm_print( double const A[],      // `vector` pointing to the matrix A
          unsigned     ldA,      // number of row of the allocated matrix A
          unsigned     n_row,    // number of rows
          unsigned     n_col ) ; // number of columns ;

void
mm_standard( double const A[], // `vector` pointing to the matrix A
             unsigned     ldA, // number of row of the allocated matrix A 
             double const B[], // `vector` pointing to the matrix B
             unsigned     ldB, // number of row of the allocated matrix B
             double       C[], // `vector` pointing to the matrix C
             unsigned     ldC, // number of row of the allocated matrix C
             unsigned n, // number of the rows of A
             unsigned p, // number of the columns of A and rows of B
             unsigned m  // number of the columns of B
                         // the results is a matrix C of n rows and m columns

           ) ;

#endif
